Get All Orders¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| start_time Optional | Integer | Start filter timestamp |
| end_time Optional | Integer | End filter timestamp |
| keyword Optional | String | Keyword (order ID, account ID, wallet name, Wallet ID, order description, from address and to address) |
| limit Optional | Integer | 10 by default |
| offset Optional | Integer | 0 by default |
| sort_by_time Optional | String | Sort by time sequence (DESC by default) |
| applicant Optional | String[] | Maker |
| coin_name Optional | String[] | Coin name Allowed Value: Refer to Coin Name (API) column in Supported Token |
| chain_name Optional | String[] | Cactus chain name Allowed Value: Refer to Network Symbol column in Supported Token |
| status Optional | String[] | Order status |
| wallet_name Optional | String[] | Wallet name |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Order data (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| list | Object[] | Order list (see list object details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| domain_id | String | Enterprise ID |
| bid | String | Business line ID |
| exchange_rate | Decimal | Order exchange rate |
| time_stamp | Long | Order creation timestamp |
| order_no | String | Order ID |
| applicant | String | Order maker |
| business_name | String | Business line name |
| coin_name | String | Asset name |
| storage_type | String | Storage type Allowed values: PRIME_HOT, PRIME_COLD, ENTERPRISE_HOT, ENTERPRISE_COLD |
| wallet_name | String | Wallet name |
| wallet_code | String | Wallet ID |
| amount | Decimal | Withdrawal amount |
| original_amount | Decimal | Original withdrawal amount |
| miner_fee_rate | Decimal | Miner fee rate |
| description | String | Order description |
| from_address | String | From address |
| gas_price | Decimal | Gas price (ETH Series) |
| gas_limit | Decimal | Gas limit (ETH series) |
| max_fee_per_gas | Decimal | Max fee |
| max_priority_fee_per_gas | Decimal | Priority fee |
| status | String | Order status Allowed values: PROCESSING, PARTIALLY_FAILED, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED |
| inner_status | String | Order inner status |
| order_dest_address_info_vo_list | Object[] | Order list (see order_dest_address_info_vo_list object for details below) |
order_dest_address_info_vo_list (object)
| Field | Type | Description |
|---|---|---|
| dest_address | String | Recipient address |
| memo_type | String | Memo type Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH |
| memo | String | Memo |
| origin_balance | Decimal | Origin withdrawal amount |
| balance | Decimal | Actual withdrawal amount |
| remark | String | Remark |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"domain_id": "a5b3f782c4e24c688eca60946442a75f",
"exchange_rate": 9768.36,
"time_stamp": 1582008785000,
"order_no": "666666000000073",
"applicant": "xxxx@xyz.com",
"business_name": "BusinessLine001",
"coin_name": "BTC",
"storage_type": "PRIME_HOT",
"wallet_name": "MIX008",
"wallet_code": "CHBTC4813422686",
"amount": 10000,
"original_amount": 10000,
"miner_fee_rate": 1024,
"description": "",
"from_address": "",
"gas_price": null,
"gas_limit": null,
"order_dest_address_info_vo_list": [
{
"dest_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
"memo_type": "MEMO_TEXT",
"memo": "text",
"origin_balance": 10000,
"balance": 10000,
"remark": ""
}
],
"status": "FINISHED",
"inner_status": "FINISHED",
"bid": "ed70ff75b1fe4994a3bd836befe0e87f"
}
],
"total": 1
},
"successful": true
}